Adiós PHP 5 – Este mismo año acabará el soporte y actualizaciones de seguridad de esta versión de PHP

PHP es un preprocesador de hipertexto, siendo uno de los primeros lenguajes de programación incorporables a un HTML, siendo el código procesado por el servidor.

Las cifras del uso de PHP en datos es enorme, ya que está presente en más de 20 millones de páginas web y en 1 millón de servidores. Entre sus «rivales» en cuanto a tecnología similar se encuentra Node.JS, Golang o ASP.NET.

Para que te hagas una idea, el 80% de las páginas web del mundo usan PHP. Y de estas páginas que usan PHP un 80% utiliza la versión PHP 5 y el otro 20% la versión PHP 7, aún existen sitios basados en la versión PHP 4, pero es un valor muy residual (estudio de W3Tech).

Como ya hemos dicho existen distintas versiones de PHP , la última anunciada es la  versión PHP 7.3 que estará disponible este mismo año. Hay que tener en cuenta que con el lanzamiento de nuevas versiones las más antiguas quedan «al descubierto» al no disponer de soporte para errores o seguridad.

el adiós a PHP5

Pues bien, debido al próximo lanzamiento de la nueva versión PHP 7.3, la versión PHP 5.6 quedará obsoleta y dejará de recibir soporte y actualizaciones de seguridad, afectando también a las versiones anteriores.

Esta noticia influye, como hemos comentado arriba, a un total de un 80% de los usuarios de PHP. Te puedes imaginar que estamos hablando de cifras muy elevadas.

Esto no significa que los sitios con PHP 5.x van a infectarse al día siguiente, sin embargo, en el caso de que se encuentre algún tipo de vulnerabilidad no podrás revertir la situación, ya que no existirá nadie que garantice esa seguridad con parches y las actualizaciones necesarias.

Seguramente te preguntarás que cómo hay tantos usuarios utilizando esa versión y no las últimas, y tiene varias explicaciones.

La versión PHP 5.6 se convirtió en la más utilizada a nivel mundial y la realidad es que cuesta que los usuarios trabajen en la versión PHP 7.x.

Además, muchos CMS como WordPress, Joomla o Drupal, aunque recomendaban a sus usuarios cambiarse de versión, no tuvieran demasiado éxito, ya que las versiones mínimas para utilizar WordPress es la versión PHP 5.2 y la de Joomla version PHP 5.3.

Así que los usuarios no estaban obligados a actualizar sus versiones. Y es aquí donde esta la clave porque la mayoría de los sitios web son creados y administrados con WordPress.

Hay que tener también presente que en muchas ocasiones la actualización de versión de PHP genera problemas y fallos de compatibilidad con diferentes funcionalidades, herramientas u otros elementos de la página web. Con esto queremos decir que no es tan sencillo como modificar la versión PHP y ya está.

La versión de PHP que utilices en tu web depende de tu proveedor de hosting y de ti mismo, el proveedor tiene que instalar la versión de PHP que quieras en el servidor.

Si eres cliente de nerion tienes que saber que todos nuestros servidores están configurados como MultiPHP, es decir, según el tipo de programación de cada web puedes elegir la versión de PHP que quieras asignar a cada sitio web. De esta manera nos adaptamos a tus necesidades y a las de tu proyecto.

Es posible asignar las versiones PHP 5.4, 5.6, 7.0, 7.1 y 7.2, así que si quieres modificar la versión de PHP contacta con nosotros y lo gestionaremos.

Comparte este artículo:

No hay comentarios a este artículo

Sé el primero en enviar un comentario: